INTERFACE
SUBROUTINE RADACT&
 & ( KIDIA , KFDIA , KLON , KLEV,&
 & KRINT , KDLON , KDLONP2 , KSHIFT, KCF,&
 & PAPRS , PGELAM, PSIN , PCLON, PSLON , PTH,&
 & PQ , PQS , PECPO3,&
 & PAER , POZON,&
 & PSU2TM, PSU3TM, PSU4TM,&
 & PBC2TM, PBC3TM, PBC4TM, PBC5TM,&
 & POM2TM, POM3TM, POM4TM, POM5TM,&
 & PDD3TM, PDD4TM, PDD6TM, PDD7TM,&
 & PSS3TM, PSS4TM &
 & ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KDLON
INTEGER(KIND=JPIM),INTENT(IN) :: KDLONP2
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KRINT
INTEGER(KIND=JPIM),INTENT(IN) :: KSHIFT
INTEGER(KIND=JPIM),INTENT(IN) :: KCF
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRS(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAM(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSIN(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLON(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLON(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTH(KDLONP2,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(KDLONP2,KLEV), PQS(KDLONP2,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PECPO3(KDLONP2,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PAER(KDLON,6,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: POZON(KDLON,KLEV)
REAL(KIND=JPRB), OPTIONAL, INTENT(IN) :: PSU2TM(KLON,KLEV)
REAL(KIND=JPRB), OPTIONAL, INTENT(IN) :: PSU3TM(KLON,KLEV)
REAL(KIND=JPRB), OPTIONAL, INTENT(IN) :: PSU4TM(KLON,KLEV)
REAL(KIND=JPRB), OPTIONAL, INTENT(IN) :: PBC2TM(KLON,KLEV)
REAL(KIND=JPRB), OPTIONAL, INTENT(IN) :: PBC3TM(KLON,KLEV)
REAL(KIND=JPRB), OPTIONAL, INTENT(IN) :: PBC4TM(KLON,KLEV)
REAL(KIND=JPRB), OPTIONAL, INTENT(IN) :: PBC5TM(KLON,KLEV)
REAL(KIND=JPRB), OPTIONAL, INTENT(IN) :: POM2TM(KLON,KLEV)
REAL(KIND=JPRB), OPTIONAL, INTENT(IN) :: POM3TM(KLON,KLEV)
REAL(KIND=JPRB), OPTIONAL, INTENT(IN) :: POM4TM(KLON,KLEV)
REAL(KIND=JPRB), OPTIONAL, INTENT(IN) :: POM5TM(KLON,KLEV)
REAL(KIND=JPRB), OPTIONAL, INTENT(IN) :: PDD3TM(KLON,KLEV)
REAL(KIND=JPRB), OPTIONAL, INTENT(IN) :: PDD4TM(KLON,KLEV)
REAL(KIND=JPRB), OPTIONAL, INTENT(IN) :: PDD6TM(KLON,KLEV)
REAL(KIND=JPRB), OPTIONAL, INTENT(IN) :: PDD7TM(KLON,KLEV)
REAL(KIND=JPRB), OPTIONAL, INTENT(IN) :: PSS3TM(KLON,KLEV)
REAL(KIND=JPRB), OPTIONAL, INTENT(IN) :: PSS4TM(KLON,KLEV)
END SUBROUTINE RADACT
END INTERFACE
